"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
;/* empty css                                               */
;/* empty css                                               */
;/* empty css                                                */
;/* empty css                                               */
;/* empty css                                                    */
const Vue = require("vue");
const index = require("../../../../node_modules/vant/es/grid/index.js");
const index$1 = require("../../../../node_modules/vant/es/grid-item/index.js");
const _sfc_main = {
  __name: "Grid",
  props: {
    options: {
      type: Array,
      default: []
    },
    gutter: {
      type: Number,
      default: 0
    }
  },
  emits: ["clickGridItem"],
  setup(__props, { emit: __emit }) {
    const emit = __emit;
    function clickGridItem(item) {
      emit("clickGridItem", item.name);
    }
    return (_ctx, _cache) => {
      const _component_van_grid_item = index$1.GridItem;
      const _component_van_grid = index.Grid;
      return Vue.openBlock(), Vue.createBlock(_component_van_grid, Vue.mergeProps(_ctx.$attrs, {
        gutter: __props.gutter,
        style: { paddingTop: __props.gutter + "px" }
      }), {
        default: Vue.withCtx(() => [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(__props.options, (item) => {
            return Vue.openBlock(), Vue.createBlock(_component_van_grid_item, Vue.mergeProps({
              name: item.name,
              ref_for: true
            }, item, {
              onClick: ($event) => clickGridItem(item)
            }), null, 16, ["name", "onClick"]);
          }), 256))
        ]),
        _: 1
      }, 16, ["gutter", "style"]);
    };
  }
};
exports.default = _sfc_main;
